.. AUTO-GENERATED FILE. DO NOT EDIT. /one-mobile-applications-delete-one =================================== Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``3270463a2e6a5d905ceae779f9a588fdde3cef87`` - **Source run id:** ``25887986290`` - **Lambda function:** ``jef-one-mobile-applications-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/one-mobile-applications-delete-one`` - **Endpoint URL:** ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-one-mobile-applications-delete-one - ``Module``: jef-one - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /one-mobile-applications-delete-one - ``Table``: jef-one-mobile-applications - ``Primary Key``: mobile\_application\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``mobile\_application\_id``: 16b06bf7-7f70-454d-8947-ab94fdb81ada Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.mobile_application_id.type", "value": "S" }, { "key": "root.attributes.mobile_application_id.required", "value": "True" }, { "key": "root.attributes.mobile_application_id.format", "value": "uuidv4" }, { "key": "root.attributes.mobile_application_id.regex", "value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "mobile_application_id", "value": "16b06bf7-7f70-454d-8947-ab94fdb81ada" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-one" -H "Content-Type: application/json" --data-raw "{\"mobile_application_id\": \"16b06bf7-7f70-454d-8947-ab94fdb81ada\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-delete-one" -H "Content-Type: application/json" --data-raw '{"mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada"}'